Delete a document

Requires the DOCUMENT.DELETE permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version
resourceIdstringRequiredDefaults to
The ID of the resource to be requested.

Headers

x-platform-idstringOptional
Platform ID.

Response

OK
namestringformat: "^.*$"0-256 characters
The name of the document.
content_typestring

Content type of the file (e.g. application/pdf).

object_typestring or nullRead-only
idstring or nullRead-only
created_atstring or nullRead-only
descriptionstring or null
An optional description of the document.
file_sizelong or nullRead-only
The file size in bytes.
downloaded_atstring or nullRead-only
Timestamp of the most recent download.

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error